Subject: Select function call
From: [email-masked] (Larry Gerhardstein)

31 Jan 1997 01:47:00 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01C-BOSS  (WinNT; U)
Original-To: gnu-win32 <[email-masked]>
Original-Sender: [email-masked]

Does the select() function call work in Cygnus?  According to online
information and FAQ, I am led to believe it should.

A program which I am attempting to port to Cygnus calls select() to
multiplex standard-in and a network socket.  The network connect, and
I/O over the socket works.  However, the value returned by select()
always is -1 and the value in errno is 1 (EPERM), both on NT 3.51 and
4.0.  I have not tried this on Win95.

On Solaris 2.5.1, I link with libsocket and libnsl.  On Cygnus, I am
linking without any additional libraries.

-- 
Larry Gerhardstein -- Kennewick, Washington
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".